<?php
class WebService extends API
{
    protected $User;
	public $dbClass;
	
	
    public function __construct($request, $origin) {

        parent::__construct($request);
		
		$this->dbClass=new db();
		
		global $configDetails;
	
	   $headerArray = array();
        foreach($_SERVER as $name => $value) {
            if($name != 'HTTP_MOD_REWRITE' && (substr($name, 0, 5) == 'HTTP_' || $name == 'CONTENT_LENGTH' || $name == 'CONTENT_TYPE')) {
                $name = str_replace(' ', '-', ucwords(strtolower(str_replace('_', ' ', str_replace('HTTP_', '', $name)))));
                $headerArray[$name] = $value;
            }
        }
        $apiKey=$headerArray['Oakey'];
		
		if ($apiKey=="")
	   {
			throw new Exception('No API Key provided');
		}
		else if($apiKey!=$configDetails['API_KEY'])
		{
			 throw new Exception('Invalid API Key');
		}
		else
		{
		}
    }


	protected function userCheck()
	{
		$return_array =array();
		if ($this->method == 'POST') 
		{
			$user_id 					= trim($this->request['user_id']);
			if($user_id!='')
			{
				$email_cnt										=	$this->checkEntryExist("users","user_id=?",array($user_id));
				if($email_cnt)
				{
					
					$return_array['result'] = 1;
					$return_array['message'] = "User exists";
					//$return_array['result']['user_id']		= $insertID;
				}
				else
				{
					$return_array['result'] = 0;
					$return_array['message'] = "User doest not exist";
				}
			}
			else 
			{
				$return_array['result'] = 0;
				$return_array['message'] = "Only accepts posts requests";
			}
		}
		else
		{
			$return_array['result'] = 0;
			$return_array['message'] = "Partial content";
		}
	
		echo json_encode($return_array);
	}
	
	protected function emailCheck()
	{
		$return_array =array();
		if ($this->method == 'POST') 
		{
			$email_id 					= trim($this->request['email_id']);
			if($email_id!='')
			{
				$email_cnt										=	$this->checkEntryExist("users","email_id=?",array($email_id));
				if($email_cnt)
				{
					
					$return_array['result'] = 0;
					$return_array['message'] = "Email exists";
					//$return_array['result']['user_id']		= $insertID;
				}
				else
				{
					$return_array['result'] = 1;
					$return_array['message'] = "Email doest not exist";
				}
			}
			else 
			{
				$return_array['result'] = 0;
				$return_array['message'] = "Only accepts posts requests";
			}
		}
		else
		{
			$return_array['result'] = 0;
			$return_array['message'] = "Partial content";
		}
	
		echo json_encode($return_array);
	}

	/**
	 * @api {post} /webservice/v1/userRegister
	 *
	 * @apiParam email_id,user_password,full_name
	 */
	protected function userRegister()
	{
		$return_array =array();
		if ($this->method == 'POST') 
		{
			$email_id 					= trim($this->request['email_id']);
			$user_password					= trim($this->request['user_password']);
			$full_name 						= trim($this->request['full_name']);

			$device_name 						= trim($this->request['device_name']);
			$player_id 						= trim($this->request['player_id']);
			$device_type 						= trim($this->request['device_type']);
			

			if($email_id!='' && $user_password!='')
			{
				$insertInfo = array();
				$insertInfo['email_id'] 				= trim($email_id);
				$insertInfo['user_password'] 			= $this->encrypt_customer_password($user_password);
				$insertInfo['registered_date'] 			= date('Y-m-d H:i:s');
				$insertInfo['user_status'] 				= 1;
				$insertInfo['full_name'] 				= trim(ucfirst($full_name));

				
				$email_cnt										=	$this->checkEntryExist("users","email_id=?",array($insertInfo['email_id']));
				if($email_cnt)
				{
					$return_array['result']			= 0;
						$return_array['message']	= "Email address already registered";

					//$return_array['result']['user_id']		= $insertID;
				}
				else
				{

					//insert data into the DB
					$userId 											=  $this->dbClass->prepareInsertStatement('users', $insertInfo);
					
					
					
					if($userId > 0){

						$user_id	= $userId;

						$this->insertActivity($userId,'added',$userId,'register');

						if($device_type!="")
						{
							
							
							$insertDevice 									= array();
							$insertDevice['user_id'] 					= trim($user_id);
							$insertDevice['player_id'] 				= trim($player_id);
							if($device_name!="")
							{
								$insertDevice['device_name'] 				= trim($device_name);
							}
							if($device_type!="")
							{
								$insertDevice['device_type'] 				= trim($device_type);
							}
							$insertDevice['device_status'] 			= 1;
							$insertDevice['device_action'] 			= 'register';
							$insertDevice['connected_date'] 			= date('Y-m-d');
							
							$this->dbClass->prepareInsertStatement('devices', $insertDevice);
						}


						if($player_id!="")
						{
							
							$playerIdCnt	=	$this->checkEntryExist("user_playerids",' player_id=?',array($player_id));
							if($playerIdCnt)
							{
								$updateDevice 									= array();
								$updateDevice['user_id'] 				= trim($user_id);
								$updateDevice['player_status'] 		= 1;
								$this->dbClass->prepareUpdateStatement("user_playerids", $updateDevice,'player_id=?',array($player_id));
							}
							else
							{
								$insertDevice 									= array();
								$insertDevice['user_id'] 					= trim($user_id);
								$insertDevice['player_id'] 				= trim($player_id);
								$insertDevice['player_status'] 			= 1;
								
								$this->dbClass->prepareInsertStatement('user_playerids', $insertDevice);
					
							}
						}

						$headers = array('alg'=>'HS256','typ'=>'JWT');
						$payload = array('userId'=>$user_id, 'exp'=>(time() + 60));

						$jwt = generate_jwt($headers, $payload);
						$return_array['jwt']	           = $jwt;
						//$mailSent = $this->sendUserEmail('WELCOME_EMAIL',trim($email_id),trim($full_name),'');
						$return_array['user_id']			= $user_id;
						$return_array['result']				= 1;
						$return_array['message']			= "Successfully registered";
						
					}else{
					
						$return_array['result']			= 0;
						$return_array['message']	= "Something went wrong";
					}
					
				}
		
			}
			else
			{
				$return_array['result'] = 0;
				$return_array['message'] = "Partial content";
			}
		}
		else 
		{
			$return_array['result'] = 0;
			$return_array['message'] = "Only accepts posts requests";
        }
	
		echo json_encode($return_array);
	}


	
	protected function UserLogin()
	{
		global $configDetails;
		$return_array =array();
		if ($this->method == 'POST') 
		{
			$email_id 							= $this->request['email_id'];
			$password 							= $this->request['password'];
			$player_id 							= $this->request['player_id'];
			$device_name 						= trim($this->request['device_name']);
			$device_type 						= trim($this->request['device_type']);

			if($email_id!='' && $password!='')
			{
				$user_id 						= 0;
				$user_active_cnt 				= 0;
				$pass 							= $this->encrypt_customer_password(trim($password));
				
				$userInfo 						= $this->dbClass->getTableRecordDetails("users","email_id=? AND user_password=?",array($email_id,$pass));
		
				///check whether user exists
				$user_active_cnt 				= $this->dbClass->getAffectedRows();
				
				if($user_active_cnt > 0)
				{
					if($userInfo[0]['user_status']=='1')
					{
						$headers = array('alg'=>'HS256','typ'=>'JWT');
						$payload = array('userId'=>$userInfo[0]['user_id'], 'exp'=>(time() + 60));

						$jwt = generate_jwt($headers, $payload);

						$return_array['user_id']			= $userInfo[0]['user_id'];
						$return_array['jwt']  = $jwt;
						$return_array['result']  = 1;
						$return_array['message']  = "Successfully logged in";

						$user_id						= $userInfo[0]['user_id'];

						if($device_type!="")
						{
							
							
							$insertDevice 					= array();
							$insertDevice['user_id'] 		= trim($user_id);
							$insertDevice['player_id'] 		= trim($player_id);
							if($device_name!="")
							{
								$insertDevice['device_name']= trim($device_name);
							}
							if($device_type!="")
							{
								$insertDevice['device_type'] = trim($device_type);
							}
							$insertDevice['device_status'] 		= 1;
							$insertDevice['device_action'] 		= 'login';
							$insertDevice['connected_date'] 			= date('Y-m-d');
							
							$this->dbClass->prepareInsertStatement('devices', $insertDevice);
						}

						if($player_id!="")
						{
							
							$playerIdCnt	=	$this->checkEntryExist("user_playerids",' player_id=?',array($player_id));
							if($playerIdCnt)
							{
								$updateDevice 									= array();
								$updateDevice['user_id'] 				= trim($user_id);
								$updateDevice['player_status'] 		= 1;
								$this->dbClass->prepareUpdateStatement("user_playerids", $updateDevice,'player_id=?',array($player_id));
							}
							else
							{
								$insertDevice 									= array();
								$insertDevice['user_id'] 					= trim($user_id);
								$insertDevice['player_id'] 				= trim($player_id);
								$insertDevice['player_status'] 			= 1;
								
								$this->dbClass->prepareInsertStatement('user_playerids', $insertDevice);
					
							}
						}

							 
					}
					else
					{
						$return_array['result']  = 0;
						$return_array['message']  =  "You account is not active";
						
					}
				}
				else
				{
					$return_array['result']  = 0;
					$return_array['message']  =   "Invalid email or password";
										//$return_array['result']				= array();
					
				}
			}
			else
			{
				$return_array['result'] = 0;
				$return_array['message'] = "Partial content";
			}
		}
		else 
		{
			$return_array['result'] = 0;
			$return_array['message'] = "Only accepts posts requests";
        }
	/*	echo "<pre>";
		print_r($return_array);exit;*/
		echo json_encode($return_array);
	}
	


	/**
	 * @api {post} /webservice/v1/forgotPassword
	 *
	 * @apiParam {Number} email_id
	 */
	protected function forgotPassword()
	{//phpinfo();exit;
		global $configDetails;

		

		$return_array =array();
		if ($this->method == 'POST') 
		{
			$email_id = $this->request['email_id'];
			if($email_id!='')
			{
				$user_id 															= 0;
				$user_active_cnt 												= 0;
				
				$userInfo 													= $this->dbClass->getTableRecordDetails("users","email_id=?",array($email_id));
				///check whether user exists
				$user_active_cnt 												= $this->dbClass->getAffectedRows();
				
				if($user_active_cnt > 0)
				{
					$user_id	= $userInfo[0]['user_id'];
					if($userInfo[0]['user_status']=='1')
					{

						$ch = curl_init();
						$timeout = 5;
						$url="http://mockupz.in/petsapp/send_forgot_email.php?email_id=".$email_id;
						curl_setopt($ch, CURLOPT_URL, $url);
						curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
						curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
						curl_setopt($ch, CURLOPT_HEADER, false);

						$data = curl_exec($ch);

						curl_close($ch);
						 
							
						$return_array['result']['user_status']			=1;
						$return_array['result']['message']			=  "Password reset email sent successfullly";
							
						 
					}
					else
					{
						$return_array['result']['user_status']			= 0;
						$return_array['result']['message']			= "You account is not active";
						
						//$return_array['result']				= array();
					}
				}
				else
				{
						$return_array['result']['user_status']			= 0;
						$return_array['result']['message']			= "Invalid email";
					
					//$return_array['result']				= array();
					
				}
			}
			else
			{
				$return_array['result']['value']		= 0;
				$return_array['result']['message']		= "Partial content";
			}
		}
		else 
		{
			$return_array['result']['value']		= 0;
			$return_array['result']['message']		= "Only accepts posts requests";
        }
	/*	echo "<pre>";
		print_r($return_array);exit;*/
		echo json_encode($return_array);
	}

	
	function getUserId()
	{
		$bearer_token = get_bearer_token();
		$is_jwt_valid = is_jwt_valid($bearer_token);
		if($is_jwt_valid)
		{

			$tokenParts = explode('.', $bearer_token);
			$payload = base64_decode($tokenParts[1]);
			return $user_id = json_decode($payload)->userId;

		}
		else
		{
			return 0;
		}

		
	}

		/**
	 * @api {post} /webservice/v1/profile Request home page banners
	 *
	 * @apiParam {Number} user_id
	 */
	protected function userprofile()
	{
		global $configDetails;
		$return_array =array();
		if ($this->method == 'POST') 
		{

			
			$user_id = $this->getUserId();
			if($user_id==0 || $user_id=="")
			{
				$return_array['result']['value']		= 0;
				$return_array['result']['message']		= "Not valid";
			}
			else
			{
				$userInfo 					= $this->dbClass->getTableRecordDetails("users","user_id=?",array($user_id));
				$user_active_cnt 			= $this->dbClass->getAffectedRows();
				 
				$userDetails =array();
				if($user_active_cnt>0)
				{
					foreach ($userInfo as $key => $values)
					{
						if($values['profile_image']!="")
						{
							$values['profile_image']							= $configDetails['siteUrl'].$configDetails['userOrgImgDir'].$values['profile_image'];
						}
						$values['registered_date'] 					= date('d-m-Y',strtotime(trim(stripslashes($values['registered_date']))));
						$values['user_password']  					= $this->decrypt_customer_password($values['user_password']);
	
						

						$values 									= array_map('stripslashes', $values);
						$return_array['user'][$key]					= $values;
						

						$getQry = "select * from devices where user_id=? and device_status=? order by device_id asc";
						$this->dbClass->prepareConditionStatement($getQry,array($user_id,1));
						$deviceCnt 	= $this->dbClass->getAffectedRows();

						if($deviceCnt>0)
						{
							$devices	 		= 	$this->dbClass->resultSetAll($getQry,array($user_id,1)); 
							//print_r($categories);
							foreach($devices as $key4=>$deviceVal)
							{
								$return_array['user'][$key]['devices'][$key4]		=  $deviceVal;
							}
						}
					}
						
				}
				else
				{
					/*$return_array['user'][0]['action']					= 404;
					$return_array['user'][0]['value']						= 0;
					$return_array['user'][0]['message']				= "Profile not found";*/
					
					$return_array['user']				= array();
				}
			}
		}
		else 
		{
			$return_array['result']['value']		= 0;
			$return_array['result']['message']		= "Only accepts posts requests";
        }
		/*echo "<pre>";
		print_r($return_array);exit;*/
		echo json_encode($return_array);
	}


	protected function updateUserprofile()
	{
		$return_array =array();
		$allowed_filetypes	=  array('.jpg','.png','.jpeg','.gif');
		global $configDetails;
		if ($this->method == 'POST') 
		{
			$user_id = $this->getUserId();
			if($user_id==0 || $user_id=="")
			{
				$return_array['result']['value']		= 0;
				$return_array['result']['message']		= "Not valid";
			}
			else
			{
				$new_password 			= trim($this->request['new_password']);
				
				$email_id 					= trim($this->request['email_id']);
				$full_name 						= trim($this->request['full_name']);
				$phone_number 					= trim($this->request['phone_number']);
				
				
			
				if($new_password!='')
				{
					$update_user['user_password']		=$this->encrypt_customer_password($new_password);
				}
				if($email_id!='')
				{
					$update_user['email_id']				= $email_id;
				}
				if($full_name!='')
				{
					$update_user['full_name']				= $full_name;
				}
				
				if($phone_number!='')
				{
					$update_user['phone_number']				= $phone_number;
				}

				if($phone_number=='')
				{
					$update_user['phone_number']				= "";
				}

				if($_FILES['profile_image']['name']!='')
				{
					$filename 						= trim($_FILES['profile_image']['name']); // Get the name of the file (including file extension).
					$ext 							= substr($filename, strpos($filename,'.'), strlen($filename)-1); // Get the extension from the filename.
					
					if(!in_array($ext,$allowed_filetypes))
						{ 
							$err=1;
							$return_array['result']['value']		= 0;
							$return_array['result']['message']		= "Files type not allowed";
						}
					else
					{
						$myfilename =  $this->uploadImageWithoutUnlink('profile_image','./'.$configDetails['userOrgImgDir'],'./'.$configDetails['userThumbImgDir'],128,128);
						if($myfilename!='')
						{
							$update_user['profile_image']	=	$myfilename;	
						}
					}
				}
				
				$email_cnt 													= false;
				if($update_user['email_id']!="")
				{
					$email_cnt													=	$this->checkEntryExist("users","email_id=? AND user_id!=?",array($update_user['email_id']));
				}
				if($email_cnt)
				{
					$return_array['result']['value']								= 0;
					$return_array['result']['message']						= "Email already exists for another account";
				}
				else
				{			
				
					
					if(count($update_user)>0)
					{
						//update data into the DB
						$returnID 													=  $this->dbClass->prepareUpdateStatement("users", $update_user, 'user_id=?',array($user_id));

						$this->insertActivity($user_id,'updated',$user_id,'profileupdate');
					}
					
					
					
					
					$return_array['result']['value']							= 1;
					$return_array['result']['message']					= "Profile updated succesfully";
					$return_array['result']['profile_id']					= $returnID;
					
				}
		
			}
		}
		else 
		{
			$return_array['result']['value']		= 0;
			$return_array['result']['message']		= "Only accepts posts requests";
        }
	/*	echo "<pre>";
		print_r($return_array);exit;*/
		echo json_encode($return_array);
	}
	

	protected function changePassword()
	{
		$return_array =array();
		if ($this->method == 'POST') 
		{
			$user_id = $this->getUserId();
			if($user_id==0 || $user_id=="")
			{
				$return_array['result']['value']		= 0;
				$return_array['result']['message']		= "Not valid";
			}
			else
			{
				$new_password 			= trim($this->request['new_password']);
				$old_password 			= trim($this->request['old_password']);

				if($user_id!=''  && $new_password!='' && $old_password!="")
				{
					$user_active_cnt										= 0;
					$encryptedpass											= $this->encrypt_customer_password($old_password);
					$userInfo 													= $this->dbClass->getTableRecordDetails("users","user_id=? AND user_password=?",array($user_id,$encryptedpass));
					$user_active_cnt 										= $this->dbClass->getAffectedRows();
					
					
					if($user_active_cnt > 0)
					{
						$update_user['user_password']					=  $this->encrypt_customer_password($new_password);
						$returnID 														=  $this->dbClass->prepareUpdateStatement("users", $update_user, 'user_id=?',array($user_id));
						
						$return_array['result']['value']						= 1;
						$return_array['result']['message']					= "Changed password succesfully";
						$return_array['result']['profile_id']					= $returnID;
					}
					else
					{
						$return_array['result']['value']								= 0;
						$return_array['result']['message']						= "Old password incorrect";
					}
				}
				else
				{
					$return_array['result']['value']		= 0;
					$return_array['result']['message']		= "Partial content";
				}
			}
		}
		else 
		{
			$return_array['result']['value']		= 0;
			$return_array['result']['message']		= "Only accepts posts requests";
        }
	/*	echo "<pre>";
		print_r($return_array);exit;*/
		echo json_encode($return_array);
	}
	

	protected function petTypes()
	{
		global $configDetails;
		$return_array =array();
		if ($this->method == 'POST') 
		{
			$keyword 	= $this->request['keyword'];
			$qryapp = " 1";
			$condition = array();

			$orderBy = "pet_type asc";
		
			if(isset($keyword) && $keyword!="")
			{
				$qryapp.= " and  pet_type like ?";
				$condition[]= '%'.$keyword.'%';
			}
		
		

			$fetchQry  = "SELECT pet_type_id,pet_type from pet_types  where ".$qryapp." order by ".$orderBy;
			$this->dbClass->prepareConditionStatement($fetchQry,$condition);
			$actorCnt 	= $this->dbClass->getAffectedRows();

			if($actorCnt>0)
			{
				$allResults	 		= 	$this->dbClass->resultSetAll($fetchQry,$condition); 
				//print_r($allResults);
				foreach($allResults as $key=>$values)
				{
					
					$return_array['pet_types'][$key]						= $values;

				}
			}
			else
			{
				$return_array['pet_types'] = array();
			}
		}
		else 
		{
			$return_array['result']['value']		= 0;
			$return_array['result']['message']		= "Only accepts posts requests";
        }
		/*echo "<pre>";
		print_r($return_array);exit;*/
		echo json_encode($return_array);
	}



	protected function addPet()
	{
		$return_array =array();

		$allowed_filetypes	=  array('.jpg','.png','.jpeg','.gif');
		$allowed_doctypes	=  array('.jpg','.png','.jpeg','.gif','.doc','.pdf');
		global $configDetails;

		if ($this->method == 'POST') 
		{
			$user_id = $this->getUserId();
			if($user_id==0 || $user_id=="")
			{
				$return_array['result']['value']		= 0;
				$return_array['result']['message']		= "Not valid";
			}
			else
			{
				$pet_name 				= $this->request['pet_name'];
				$pet_type_id 				= $this->request['pet_type_id'];
				$pet_description 		= $this->request['pet_description'];
				$pet_birthday 					= $this->request['pet_birthday'];
				$pet_gotcha_day 				= $this->request['pet_gotcha_day'];


				if($pet_type_id!=''  && $pet_name!='')
				{
					$insertInfo 								=	array();
					$insertInfo['user_id']						= $user_id;
					$insertInfo['pet_name']						= $pet_name;
					$insertInfo['pet_type_id']					= $pet_type_id;
					$insertInfo['pet_description']				= $pet_description;
					$insertInfo['pet_birthday']					= $pet_birthday;
					$insertInfo['pet_gotcha_day']				= $pet_gotcha_day;
					$insertInfo['added_date']					= date('Y-m-d H:i:s');
					//print_r($insertInfo);
					if($_FILES['pet_image']['name']!='')
					{
						$filename 						= trim($_FILES['pet_image']['name']); // Get the name of the file (including file extension).
						$ext 							= substr($filename, strpos($filename,'.'), strlen($filename)-1); // Get the extension from the filename.
						
						if(!in_array($ext,$allowed_filetypes))
							{ 
								$err=1;
								$return_array['result']['value']		= 0;
								$return_array['result']['message']		= "Files type not allowed";
							}
						else
						{
							$myfilename =  $this->uploadImageWithoutUnlink('pet_image','./'.$configDetails['petsOrgImgDir'],'./'.$configDetails['petsThumbImgDir'],128,128);
							if($myfilename!='')
							{
								$insertInfo['pet_image']	=	$myfilename;	
							}
						}
					}

					$pet_id = $this->dbClass->prepareInsertStatement('pets', $insertInfo);

					/*if($pet_birthday!="")
					{
						$insertInfo 								=	array();
						$insertInfo['user_id']						= $user_id;
						$insertInfo['pet_id']						= $pet_id;
						$insertInfo['event_title']					= "Birthday";
						$insertInfo['event_description']			= "";
						$insertInfo['event_start_date']					= $pet_birthday." 00:00:00";
						$insertInfo['event_end_date']					= $pet_birthday." 00:00:00";
						$insertInfo['event_added_date']				= date('Y-m-d H:i:s');
						//print_r($insertInfo);
						
						$event_id = $this->dbClass->prepareInsertStatement('events', $insertInfo);
					}*/
					// insurance details
					
					if($_FILES['document']['name']!='')
					{
						$document_note 				= $this->request['document_note'];
						$insertDocument = array();
						$insertDocument['document_note'] = $document_note;
						$insertDocument['pet_id']	=	$pet_id;
						$insertDocument['user_id']	=	$user_id;
						$filename 						= trim($_FILES['document']['name']); // Get the name of the file (including file extension).
						$ext 							= substr($filename, strpos($filename,'.'), strlen($filename)-1); // Get the extension from the filename.
						
						if(!in_array($ext,$allowed_doctypes))
							{ 
								$err=1;
								$return_array['result']['value']		= 0;
								$return_array['result']['message']		= "Files type not allowed for insurance";
							}
						else
						{
							$myfilename =  $this->uploadfile('document','./'.$configDetails['petsdocuments']);
							if($myfilename!='')
							{
								$insertDocument['document']	=	$myfilename;
								$this->dbClass->prepareInsertStatement('insurance_documents', $insertDocument);	
							}
						}
					}



					$this->insertActivity($user_id,'added',$pet_id,'pet');
					
					$return_array['result']['value']						= 1;
					$return_array['result']['message']					= "Your pet details saved";
				}
				else
				{

					$return_array['result']['value']		= 0;
					$return_array['result']['message']		= "Partial content";
				}
			}
		}
		else 
		{
			$return_array['result']['value']		= 0;
			$return_array['result']['message']		= "Only accepts posts requests";
        }
	/*	echo "<pre>";
		print_r($return_array);exit;*/
		echo json_encode($return_array);
	}


	protected function getPets()
	{
		global $configDetails;
		$return_array =array();
		if ($this->method == 'POST') 
		{
						
			$user_id = $this->getUserId();
			if($user_id==0 || $user_id=="")
			{
				$return_array['result']['value']		= 0;
				$return_array['result']['message']		= "Not valid";
			}
			else
			{
				$pet_id 			= $this->request['pet_id'];


				$qryapp = "p.user_id=? ";
				$condition = array($user_id);

				if($pet_id!="")
				{
					$qryapp.= " and p.pet_id=? ";
					$condition[] = $pet_id;
				}

			
				$page_no 			= $this->request['page_no'];

				if($page_no=="")
				{
					$page_no=0;
				}
				$limit=$page_no*10;
				
				$limitQry = " limit ".$limit.", 10";
			

				$fetchQry  = "SELECT p.* FROM `pets` as p  where ".$qryapp."  order by pet_id desc ".$limitQry;
                $this->dbClass->prepareConditionStatement($fetchQry,$condition);
                $actorCnt 	= $this->dbClass->getAffectedRows();

                if($actorCnt>0)
                {
                    $allResults	 		= 	$this->dbClass->resultSetAll($fetchQry,$condition); 
                    foreach($allResults as $key=>$values)
                    {
						if($values['pet_image']!="")
						{
							$values['pet_image']	= $configDetails['siteUrl'].$configDetails['petsOrgImgDir'].$values['pet_image'];
						}
						$return_array['pets'][$key]						= $values;

						$insurances = $this->petsInsurances($values['pet_id']);
						if(count($insurances)>0)
						{
							foreach($insurances as $inskey=>$insVal)
							{
								if($insVal['document']!="")
								{
									$insVal['document']	= $configDetails['siteUrl'].$configDetails['petsdocuments'].$insVal['document'];
								}
								$return_array['pets'][$key]['insurances'][$inskey]		=  $insVal;
							}
						}

						$Healthinfos = $this->petsHealthinfo($values['pet_id']);
						if(count($Healthinfos)>0)
						{
							foreach($Healthinfos as $healkey=>$healVal)
							{
								$return_array['pets'][$key]['health_info'][$healkey]		=  $healVal;
							}
						}


						$petsEventinfo = $this->petsEventinfo($values['pet_id']);
						if(count($petsEventinfo)>0)
						{
							foreach($petsEventinfo as $eventkey=>$eventVal)
							{
								$return_array['pets'][$key]['event_info'][$eventkey]	=  $eventVal;
							}
						}


						$petsexcretionInfo = $this->petsexcretionInfo($values['pet_id']);
						if(count($petsexcretionInfo)>0)
						{
							foreach($petsexcretionInfo as $execkey=>$execVal)
							{
								$return_array['pets'][$key]['excretions'][$execkey]	=  $execVal;
							}
						}


                    }

					$fetchQry  = "SELECT p.* FROM `pets` as p  where ".$qryapp."  order by pet_id desc";
					$this->dbClass->prepareConditionStatement($fetchQry,$condition);
					$totalCnt 	= $this->dbClass->getAffectedRows();
					$total_pages = $totalCnt/10;
					$total_pages = ceil($total_pages);
					$return_array['total_pages'] = $total_pages;

                }
				else
				{
					$return_array['pets']						= array();
				}
			}
		}
		else 
		{
			$return_array['result']['value']		= 0;
			$return_array['result']['message']		= "Only accepts posts requests";
        }
		/*echo "<pre>";
		print_r($return_array);exit;*/
		echo json_encode($return_array);
	}




	protected function addEvent()
	{
		$return_array =array();


		if ($this->method == 'POST') 
		{
			$user_id = $this->getUserId();
			if($user_id==0 || $user_id=="")
			{
				$return_array['result']['value']		= 0;
				$return_array['result']['message']		= "Not valid";
			}
			else
			{
				$event_title 				= $this->request['event_title'];
				$event_description 				= $this->request['event_description'];
				$event_start_date 		= $this->request['event_start_date'];
				$event_end_date 		= $this->request['event_end_date'];
				$pet_id 				= $this->request['pet_id'];

				if($event_title!=''  && $event_description!='' && $event_start_date!='' && $event_end_date!='')
				{
					$insertInfo 								=	array();
					$insertInfo['user_id']						= $user_id;
					$insertInfo['pet_id']						= $pet_id;
					$insertInfo['event_title']					= $event_title;
					$insertInfo['event_description']			= $event_description;
					$insertInfo['event_start_date']					= $event_start_date;
					$insertInfo['event_end_date']					= $event_end_date;
					$insertInfo['event_added_date']				= date('Y-m-d H:i:s');
					//print_r($insertInfo);
					
					$event_id = $this->dbClass->prepareInsertStatement('events', $insertInfo);

					$this->insertActivity($user_id,'added',$event_id,'event');
					
					$return_array['result']['value']						= 1;
					$return_array['result']['message']					= "Event details saved";
				}
				else
				{

					$return_array['result']['value']		= 0;
					$return_array['result']['message']		= "Partial content";
				}
			}
		}
		else 
		{
			$return_array['result']['value']		= 0;
			$return_array['result']['message']		= "Only accepts posts requests";
        }
	/*	echo "<pre>";
		print_r($return_array);exit;*/
		echo json_encode($return_array);
	}

	

	protected function editEvent()
	{
		$return_array =array();

		if ($this->method == 'POST') 
		{
			$user_id = $this->getUserId();
			if($user_id==0 || $user_id=="")
			{
				$return_array['result']['value']		= 0;
				$return_array['result']['message']		= "Not valid";
			}
			else
			{
				$event_title 				= $this->request['event_title'];
				$event_description 			= $this->request['event_description'];
				$event_start_date 		= $this->request['event_start_date'];
				$event_end_date 		= $this->request['event_end_date'];
				$event_id 					= trim($this->request['event_id']);


				if($event_id!="" && $event_title!=''  && $event_description!='' && $event_start_date!='' && $event_end_date!='')
				{
					$updateInfo 								=	array();
					$updateInfo['event_title']					= $event_title;
					$updateInfo['event_description']			= $event_description;
					$updateInfo['event_start_date']					= $event_start_date;
					$updateInfo['event_end_date']					= $event_end_date;
					//print_r($insertInfo);

					$this->dbClass->prepareUpdateStatement("events", $updateInfo,'event_id=? and user_id=?',array($event_id,$user_id));
					

					$this->insertActivity($user_id,'updated',$event_id,'event');
					
					$return_array['result']['value']						= 1;
					$return_array['result']['message']					= "Event details updated";
				}
				else
				{

					$return_array['result']['value']		= 0;
					$return_array['result']['message']		= "Partial content";
				}
			}
		}
		else 
		{
			$return_array['result']['value']		= 0;
			$return_array['result']['message']		= "Only accepts posts requests";
        }
	/*	echo "<pre>";
		print_r($return_array);exit;*/
		echo json_encode($return_array);
	}


	protected function deleteEvent()
	{
		$return_array =array();
		if ($this->method == 'POST') 
		{
			$user_id = $this->getUserId();
			if($user_id==0 || $user_id=="")
			{
				$return_array['result']['value']		= 0;
				$return_array['result']['message']		= "Not valid";
			}
			else
			{
				$event_id 				= trim($this->request['event_id']);
				if($event_id!=""  && $user_id!='' )
				{
					
					$eventDetails = $this->dbClass->getTableRecordDetails("events","event_id=?",array($event_id));
					
					if($eventDetails[0]['user_id']!=$user_id)
					{
						$return_array['result']['value']		= 1;
						$return_array['result']['message']		= "No Permission";
					}
					else
					{
						$this->dbClass->prepareDeleteStatement('events',"event_id=?",array($event_id));
						

						$this->insertActivity($user_id,'deleted',$event_id,'event');

						$return_array['result']['value']		= 1;
						$return_array['result']['message']		= "Deleted Successfully";
					}
			
				}
				else
				{
					$return_array['result']['value']		= 0;
					$return_array['result']['message']		= "Partial content";
				}
			}
		}
		else 
		{
			$return_array['result']['value']		= 0;
			$return_array['result']['message']		= "Only accepts posts requests";
        }
	/*	echo "<pre>";
		print_r($return_array);exit;*/
		echo json_encode($return_array);
	}

	protected function getEvents()
	{
		global $configDetails;
		$return_array =array();
		if ($this->method == 'POST') 
		{
						
			$user_id = $this->getUserId();
			if($user_id==0 || $user_id=="")
			{
				$return_array['result']['value']		= 0;
				$return_array['result']['message']		= "Not valid";
			}
			else
			{
				$pet_id 			= $this->request['pet_id'];
				$event_id 			= $this->request['event_id'];
				$event_date			= $this->request['event_date'];


				$qryapp = "e.user_id=? ";
				$condition = array($user_id);

				if($pet_id!="")
				{
					$qryapp.= " and e.pet_id=? ";
					$condition[] = $pet_id;
				}
				if($event_id!="")
				{
					$qryapp.= " and e.event_id=? ";
					$condition[] = $event_id;
				}
				if($event_date!="")
				{
					$qryapp.= " and ? between date(event_start_date) and date(event_end_date) ";
					$condition[] = $event_date;

				}

			
				$page_no 			= $this->request['page_no'];

				if($page_no=="")
				{
					$page_no=0;
				}
				$limit=$page_no*10;
				
				$limitQry = " limit ".$limit.", 10";
			

				$fetchQry  = "SELECT e.* FROM `events` as e  where ".$qryapp."  order by event_id desc ".$limitQry;
                $this->dbClass->prepareConditionStatement($fetchQry,$condition);
                $actorCnt 	= $this->dbClass->getAffectedRows();

                if($actorCnt>0)
                {
                    $allResults	 		= 	$this->dbClass->resultSetAll($fetchQry,$condition); 
                    foreach($allResults as $key=>$values)
                    {

						$return_array['events'][$key]						= $values;

                    }

					$fetchQry  = "SELECT e.* FROM `events` as e  where ".$qryapp."  order by event_id desc";
					$this->dbClass->prepareConditionStatement($fetchQry,$condition);
					$totalCnt 	= $this->dbClass->getAffectedRows();
					$total_pages = $totalCnt/10;
					$total_pages = ceil($total_pages);
					$return_array['total_pages'] = $total_pages;

                }
				else
				{
					$return_array['events']						= array();
				}
			}
		}
		else 
		{
			$return_array['result']['value']		= 0;
			$return_array['result']['message']		= "Only accepts posts requests";
        }
		/*echo "<pre>";
		print_r($return_array);exit;*/
		echo json_encode($return_array);
	}


	protected function upcomingEvents()
	{
		global $configDetails;
		$return_array =array();
		if ($this->method == 'POST') 
		{
						
			$user_id = $this->getUserId();
			if($user_id==0 || $user_id=="")
			{
				$return_array['result']['value']		= 0;
				$return_array['result']['message']		= "Not valid";
			}
			else
			{
				$pet_id 			= $this->request['pet_id'];


				$qryapp = "e.user_id=? ";
				$condition = array($user_id);

				if($pet_id!="")
				{
					$qryapp.= " and e.pet_id=? ";
					$condition[] = $pet_id;
				}
				
				
				$qryapp.= " and (date(event_start_date) >= CURDATE() OR date(event_end_date) >= CURDATE() ) ";
				//$condition[] = $event_date;
				


			

				$fetchQry  = "SELECT e.* FROM `events` as e  where ".$qryapp."  order by event_start_date asc ";
                $this->dbClass->prepareConditionStatement($fetchQry,$condition);
                $actorCnt 	= $this->dbClass->getAffectedRows();

                if($actorCnt>0)
                {
                    $allResults	 		= 	$this->dbClass->resultSetAll($fetchQry,$condition); 
                    foreach($allResults as $key=>$values)
                    {

						$return_array['events'][$key]						= $values;

                    }

					

                }
				else
				{
					$return_array['events']						= array();
				}
			}
		}
		else 
		{
			$return_array['result']['value']		= 0;
			$return_array['result']['message']		= "Only accepts posts requests";
        }
		/*echo "<pre>";
		print_r($return_array);exit;*/
		echo json_encode($return_array);
	}



	protected function editPet()
	{
		$return_array =array();

		$allowed_filetypes	=  array('.jpg','.png','.jpeg','.gif');
		$allowed_doctypes	=  array('.jpg','.png','.jpeg','.gif','.doc','.pdf');
		global $configDetails;

		if ($this->method == 'POST') 
		{
			$user_id = $this->getUserId();
			if($user_id==0 || $user_id=="")
			{
				$return_array['result']['value']		= 0;
				$return_array['result']['message']		= "Not valid";
			}
			else
			{
				$pet_name 				= $this->request['pet_name'];
				$pet_type_id 				= $this->request['pet_type_id'];
				$pet_description 		= $this->request['pet_description'];
				$pet_birthday 					= $this->request['pet_birthday'];
				$pet_gotcha_day 				= $this->request['pet_gotcha_day'];
				$pet_id 				= $this->request['pet_id'];


				if($pet_id!="" && $pet_type_id!=''  && $pet_name!='')
				{
					$updateInfo 								=	array();
					$updateInfo['pet_name']						= $pet_name;
					$updateInfo['pet_type_id']					= $pet_type_id;
					$updateInfo['pet_description']				= $pet_description;
					$updateInfo['pet_birthday']					= $pet_birthday;
					$updateInfo['pet_gotcha_day']				= $pet_gotcha_day;
					//print_r($updateInfo);
					if($_FILES['pet_image']['name']!='')
					{
						$filename 						= trim($_FILES['pet_image']['name']); // Get the name of the file (including file extension).
						$ext 							= substr($filename, strpos($filename,'.'), strlen($filename)-1); // Get the extension from the filename.
						
						if(!in_array($ext,$allowed_filetypes))
							{ 
								$err=1;
								$return_array['result']['value']		= 0;
								$return_array['result']['message']		= "Files type not allowed";
							}
						else
						{
							$myfilename =  $this->uploadImageWithoutUnlink('pet_image','./'.$configDetails['petsOrgImgDir'],'./'.$configDetails['petsThumbImgDir'],128,128);
							if($myfilename!='')
							{
								$updateInfo['pet_image']	=	$myfilename;	
							}
						}
					}

					$this->dbClass->prepareUpdateStatement("pets", $updateInfo,'pet_id=? and user_id=?',array($pet_id,$user_id));

					if($_FILES['document']['name']!='')
					{
						$document_note 				= $this->request['document_note'];
						$insertDocument = array();
						$insertDocument['document_note'] = $document_note;
						$insertDocument['pet_id']	=	$pet_id;
						$insertDocument['user_id']	=	$user_id;
						$filename 						= trim($_FILES['document']['name']); // Get the name of the file (including file extension).
						$ext 							= substr($filename, strpos($filename,'.'), strlen($filename)-1); // Get the extension from the filename.
						
						if(!in_array($ext,$allowed_doctypes))
							{ 
								$err=1;
								$return_array['result']['value']		= 0;
								$return_array['result']['message']		= "Files type not allowed for insurance";
							}
						else
						{
							$myfilename =  $this->uploadfile('document','./'.$configDetails['petsdocuments']);
							if($myfilename!='')
							{
								$insertDocument['document']	=	$myfilename;
								$this->dbClass->prepareInsertStatement('insurance_documents', $insertDocument);	
							}
						}
					}

					$this->insertActivity($user_id,'updated',$pet_id,'pet');
					
					$return_array['result']['value']						= 1;
					$return_array['result']['message']					= "Your pet details saved";
				}
				else
				{

					$return_array['result']['value']		= 0;
					$return_array['result']['message']		= "Partial content";
				}
			}
		}
		else 
		{
			$return_array['result']['value']		= 0;
			$return_array['result']['message']		= "Only accepts posts requests";
        }
	/*	echo "<pre>";
		print_r($return_array);exit;*/
		echo json_encode($return_array);
	}



	protected function addHealthInfo()
	{
		$return_array =array();


		if ($this->method == 'POST') 
		{
			$user_id = $this->getUserId();
			if($user_id==0 || $user_id=="")
			{
				$return_array['result']['value']		= 0;
				$return_array['result']['message']		= "Not valid";
			}
			else
			{
				$pet_weight 				= $this->request['pet_weight'];
				$pet_temperature 				= $this->request['pet_temperature'];
				$no_of_meals 				= $this->request['no_of_meals'];
				$food_info 				= $this->request['food_info'];
				$amount_of_water 			= $this->request['amount_of_water'];
				$excretions_cnt 				= $this->request['excretions_cnt'];
				$excretions_condition 				= $this->request['excretions_condition'];
				$notes 				= $this->request['notes'];

				$info_date 			= $this->request['info_date'];
				$pet_id 				= $this->request['pet_id'];

				if($pet_weight!=''  && $pet_temperature!='')
				{
					$insertInfo 								=	array();
					$insertInfo['user_id']						= $user_id;
					$insertInfo['pet_id']						= $pet_id;
					$insertInfo['pet_weight']					= $pet_weight;
					$insertInfo['pet_temperature']				= $pet_temperature;
					$insertInfo['no_of_meals']					= $no_of_meals;
					$insertInfo['food_info']			        = $food_info;
					$insertInfo['amount_of_water']			    = $amount_of_water;
					$insertInfo['excretions_cnt']				= $excretions_cnt;
					$insertInfo['excretions_condition']			= $excretions_condition;
					$insertInfo['info_date']			    	= $info_date;
					$insertInfo['notes']			    		= $notes;
					$insertInfo['info_added_date']				= date('Y-m-d H:i:s');
					//print_r($insertInfo);
					
					$info_id = $this->dbClass->prepareInsertStatement('health_info', $insertInfo);

					$this->insertActivity($user_id,'added',$info_id,'healthinfo');
					
					$return_array['result']['value']						= 1;
					$return_array['result']['message']					= "Health Info details saved";
				}
				else
				{

					$return_array['result']['value']		= 0;
					$return_array['result']['message']		= "Partial content";
				}
			}
		}
		else 
		{
			$return_array['result']['value']		= 0;
			$return_array['result']['message']		= "Only accepts posts requests";
        }
	/*	echo "<pre>";
		print_r($return_array);exit;*/
		echo json_encode($return_array);
	}

	

	protected function editHealthInfo()
	{
		$return_array =array();

		if ($this->method == 'POST') 
		{
			$user_id = $this->getUserId();
			if($user_id==0 || $user_id=="")
			{
				$return_array['result']['value']		= 0;
				$return_array['result']['message']		= "Not valid";
			}
			else
			{
				$pet_weight 				= $this->request['pet_weight'];
				$pet_temperature 				= $this->request['pet_temperature'];
				$no_of_meals 				= $this->request['no_of_meals'];
				$food_info 				= $this->request['food_info'];
				$amount_of_water 			= $this->request['amount_of_water'];
				$excretions_cnt 				= $this->request['excretions_cnt'];
				$excretions_condition 				= $this->request['excretions_condition'];
				$notes 				= $this->request['notes'];

				$info_date 			= $this->request['info_date'];
				$info_id 					= trim($this->request['info_id']);


				if($info_id!="" && $pet_weight!=''  && $pet_temperature!='')
				{
					$updateInfo 								=	array();
					$updateInfo['pet_weight']					= $pet_weight;
					$updateInfo['pet_temperature']			= $pet_temperature;
					$updateInfo['no_of_meals']					= $no_of_meals;
					$updateInfo['food_info']			        = $food_info;
					$updateInfo['amount_of_water']			    = $amount_of_water;
					$updateInfo['excretions_cnt']				= $excretions_cnt;
					$updateInfo['excretions_condition']			= $excretions_condition;
					$updateInfo['info_date']			    	= $info_date;
					$updateInfo['notes']			    		= $notes;
					//print_r($insertInfo);

					$this->dbClass->prepareUpdateStatement("health_info", $updateInfo,'info_id=? and user_id=?',array($info_id,$user_id));
					

					$this->insertActivity($user_id,'updated',$info_id,'healthinfo');
					
					$return_array['result']['value']						= 1;
					$return_array['result']['message']					= "HealthInfo details updated";
				}
				else
				{

					$return_array['result']['value']		= 0;
					$return_array['result']['message']		= "Partial content";
				}
			}
		}
		else 
		{
			$return_array['result']['value']		= 0;
			$return_array['result']['message']		= "Only accepts posts requests";
        }
	/*	echo "<pre>";
		print_r($return_array);exit;*/
		echo json_encode($return_array);
	}


	protected function deleteHealthInfo()
	{
		$return_array =array();
		if ($this->method == 'POST') 
		{
			$user_id = $this->getUserId();
			if($user_id==0 || $user_id=="")
			{
				$return_array['result']['value']		= 0;
				$return_array['result']['message']		= "Not valid";
			}
			else
			{
				$info_id 				= trim($this->request['info_id']);
				if($info_id!=""  && $user_id!='' )
				{
					
					$healthinfoDetails = $this->dbClass->getTableRecordDetails("health_info","info_id=?",array($info_id));
					
					if($healthinfoDetails[0]['user_id']!=$user_id)
					{
						$return_array['result']['value']		= 1;
						$return_array['result']['message']		= "No Permission";
					}
					else
					{
						$this->dbClass->prepareDeleteStatement('health_info',"info_id=?",array($info_id));
						

						$this->insertActivity($user_id,'deleted',$info_id,'healthinfo');

						$return_array['result']['value']		= 1;
						$return_array['result']['message']		= "Deleted Successfully";
					}
			
				}
				else
				{
					$return_array['result']['value']		= 0;
					$return_array['result']['message']		= "Partial content";
				}
			}
		}
		else 
		{
			$return_array['result']['value']		= 0;
			$return_array['result']['message']		= "Only accepts posts requests";
        }
	/*	echo "<pre>";
		print_r($return_array);exit;*/
		echo json_encode($return_array);
	}

	protected function getHealthInfos()
	{
		global $configDetails;
		$return_array =array();
		if ($this->method == 'POST') 
		{
						
			$user_id = $this->getUserId();
			if($user_id==0 || $user_id=="")
			{
				$return_array['result']['value']		= 0;
				$return_array['result']['message']		= "Not valid";
			}
			else
			{
				$pet_id 			= $this->request['pet_id'];
				$info_id 			= $this->request['info_id'];
				$info_date 			= $this->request['info_date'];


				$qryapp = "e.user_id=? ";
				$condition = array($user_id);

				if($pet_id!="")
				{
					$qryapp.= " and e.pet_id=? ";
					$condition[] = $pet_id;
				}
				if($info_id!="")
				{
					$qryapp.= " and e.info_id=? ";
					$condition[] = $info_id;
				}

				if($info_date!="")
				{
					$qryapp.= " and e.info_date=? ";
					$condition[] = $info_date;
				}

			
				$page_no 			= $this->request['page_no'];

				if($page_no=="")
				{
					$page_no=0;
				}
				$limit=$page_no*10;
				
				$limitQry = " limit ".$limit.", 10";
			

				$fetchQry  = "SELECT e.* FROM `health_info` as e  where ".$qryapp."  order by info_id desc ".$limitQry;
                $this->dbClass->prepareConditionStatement($fetchQry,$condition);
                $actorCnt 	= $this->dbClass->getAffectedRows();

                if($actorCnt>0)
                {
                    $allResults	 		= 	$this->dbClass->resultSetAll($fetchQry,$condition); 
                    foreach($allResults as $key=>$values)
                    {

						$return_array['health_info'][$key]						= $values;

                    }

					$fetchQry  = "SELECT e.* FROM `health_info` as e  where ".$qryapp."  order by info_id desc";
					$this->dbClass->prepareConditionStatement($fetchQry,$condition);
					$totalCnt 	= $this->dbClass->getAffectedRows();
					$total_pages = $totalCnt/10;
					$total_pages = ceil($total_pages);
					$return_array['total_pages'] = $total_pages;

                }
				else
				{
					$return_array['health_info']						= array();
				}
			}
		}
		else 
		{
			$return_array['result']['value']		= 0;
			$return_array['result']['message']		= "Only accepts posts requests";
        }
		/*echo "<pre>";
		print_r($return_array);exit;*/
		echo json_encode($return_array);
	}



protected function addExcretion()
	{
		$return_array =array();


		if ($this->method == 'POST') 
		{
			$user_id = $this->getUserId();
			if($user_id==0 || $user_id=="")
			{
				$return_array['result']['value']		= 0;
				$return_array['result']['message']		= "Not valid";
			}
			else
			{
				$excretions_cnt 				= $this->request['excretions_cnt'];
				$excretions_condition 				= $this->request['excretions_condition'];
				$excretion_added_date 		= $this->request['excretion_added_date'];
				$pet_id 				= $this->request['pet_id'];

				if($pet_id!="" && $excretions_cnt!=''  && $excretions_condition!='' && $excretion_added_date!='')
				{
					$insertInfo 								=	array();
					$insertInfo['user_id']						= $user_id;
					$insertInfo['pet_id']						= $pet_id;
					$insertInfo['excretions_cnt']					= $excretions_cnt;
					$insertInfo['excretions_condition']			= $excretions_condition;
					$insertInfo['excretion_added_date']					= $excretion_added_date;
					//print_r($insertInfo);
					
					$excretion_id = $this->dbClass->prepareInsertStatement('excretions', $insertInfo);

					$this->insertActivity($user_id,'added',$excretion_id,'excretion');
					
					$return_array['result']['value']						= 1;
					$return_array['result']['message']					= "Excretion details saved";
				}
				else
				{

					$return_array['result']['value']		= 0;
					$return_array['result']['message']		= "Partial content";
				}
			}
		}
		else 
		{
			$return_array['result']['value']		= 0;
			$return_array['result']['message']		= "Only accepts posts requests";
        }
	/*	echo "<pre>";
		print_r($return_array);exit;*/
		echo json_encode($return_array);
	}

	

	protected function editExcretion()
	{
		$return_array =array();

		if ($this->method == 'POST') 
		{
			$user_id = $this->getUserId();
			if($user_id==0 || $user_id=="")
			{
				$return_array['result']['value']		= 0;
				$return_array['result']['message']		= "Not valid";
			}
			else
			{
				$excretions_cnt 				= $this->request['excretions_cnt'];
				$excretions_condition 			= $this->request['excretions_condition'];
				$excretion_added_date 				= $this->request['excretion_added_date'];
				$excretion_id 					= trim($this->request['excretion_id']);


				if($excretion_id!="" && $excretions_cnt!=''  && $excretions_condition!='' && $excretion_added_date!='')
				{
					$updateInfo 								=	array();
					$updateInfo['excretions_cnt']					= $excretions_cnt;
					$updateInfo['excretions_condition']			= $excretions_condition;
					$updateInfo['excretion_added_date']					= $excretion_added_date;
					//print_r($insertInfo);

					$this->dbClass->prepareUpdateStatement("excretions", $updateInfo,'excretion_id=? and user_id=?',array($excretion_id,$user_id));
					

					$this->insertActivity($user_id,'updated',$excretion_id,'excretion');
					
					$return_array['result']['value']						= 1;
					$return_array['result']['message']					= "Excretion details updated";
				}
				else
				{

					$return_array['result']['value']		= 0;
					$return_array['result']['message']		= "Partial content";
				}
			}
		}
		else 
		{
			$return_array['result']['value']		= 0;
			$return_array['result']['message']		= "Only accepts posts requests";
        }
	/*	echo "<pre>";
		print_r($return_array);exit;*/
		echo json_encode($return_array);
	}


	protected function deleteExcretion()
	{
		$return_array =array();
		if ($this->method == 'POST') 
		{
			$user_id = $this->getUserId();
			if($user_id==0 || $user_id=="")
			{
				$return_array['result']['value']		= 0;
				$return_array['result']['message']		= "Not valid";
			}
			else
			{
				$excretion_id 				= trim($this->request['excretion_id']);
				if($excretion_id!=""  && $user_id!='' )
				{
					
					$excretionDetails = $this->dbClass->getTableRecordDetails("excretions","excretion_id=?",array($excretion_id));
					
					if($excretionDetails[0]['user_id']!=$user_id)
					{
						$return_array['result']['value']		= 1;
						$return_array['result']['message']		= "No Permission";
					}
					else
					{
						$this->dbClass->prepareDeleteStatement('excretions',"excretion_id=?",array($excretion_id));
						

						$this->insertActivity($user_id,'deleted',$excretion_id,'excretion');

						$return_array['result']['value']		= 1;
						$return_array['result']['message']		= "Deleted Successfully";
					}
			
				}
				else
				{
					$return_array['result']['value']		= 0;
					$return_array['result']['message']		= "Partial content";
				}
			}
		}
		else 
		{
			$return_array['result']['value']		= 0;
			$return_array['result']['message']		= "Only accepts posts requests";
        }
	/*	echo "<pre>";
		print_r($return_array);exit;*/
		echo json_encode($return_array);
	}

	protected function getExcretions()
	{
		global $configDetails;
		$return_array =array();
		if ($this->method == 'POST') 
		{
						
			$user_id = $this->getUserId();
			if($user_id==0 || $user_id=="")
			{
				$return_array['result']['value']		= 0;
				$return_array['result']['message']		= "Not valid";
			}
			else
			{
				$pet_id 			= $this->request['pet_id'];
				$excretion_id 			= $this->request['excretion_id'];


				$qryapp = "e.user_id=? ";
				$condition = array($user_id);

				if($pet_id!="")
				{
					$qryapp.= " and e.pet_id=? ";
					$condition[] = $pet_id;
				}
				if($excretion_id!="")
				{
					$qryapp.= " and e.excretion_id=? ";
					$condition[] = $excretion_id;
				}

			
				$page_no 			= $this->request['page_no'];

				if($page_no=="")
				{
					$page_no=0;
				}
				$limit=$page_no*10;
				
				$limitQry = " limit ".$limit.", 10";
			

				$fetchQry  = "SELECT e.* FROM `excretions` as e  where ".$qryapp."  order by excretion_id desc ".$limitQry;
                $this->dbClass->prepareConditionStatement($fetchQry,$condition);
                $actorCnt 	= $this->dbClass->getAffectedRows();

                if($actorCnt>0)
                {
                    $allResults	 		= 	$this->dbClass->resultSetAll($fetchQry,$condition); 
                    foreach($allResults as $key=>$values)
                    {

						$return_array['excretions'][$key]						= $values;

                    }

					$fetchQry  = "SELECT e.* FROM `excretions` as e  where ".$qryapp."  order by excretion_id desc";
					$this->dbClass->prepareConditionStatement($fetchQry,$condition);
					$totalCnt 	= $this->dbClass->getAffectedRows();
					$total_pages = $totalCnt/10;
					$total_pages = ceil($total_pages);
					$return_array['total_pages'] = $total_pages;

                }
				else
				{
					$return_array['excretions']						= array();
				}
			}
		}
		else 
		{
			$return_array['result']['value']		= 0;
			$return_array['result']['message']		= "Only accepts posts requests";
        }
		/*echo "<pre>";
		print_r($return_array);exit;*/
		echo json_encode($return_array);
	}



	protected function addFoodInfo()
	{
		$return_array =array();


		if ($this->method == 'POST') 
		{
			$user_id = $this->getUserId();
			if($user_id==0 || $user_id=="")
			{
				$return_array['result']['value']		= 0;
				$return_array['result']['message']		= "Not valid";
			}
			else
			{
				$no_of_meals 				= $this->request['no_of_meals'];
				$food_name 				= $this->request['food_name'];
				$food_quanity 			= $this->request['food_quanity'];
				$amount_of_water 			= $this->request['amount_of_water'];
				$pet_id 				= $this->request['pet_id'];

				if($no_of_meals!=''  && $food_name!='')
				{
					$insertInfo 								=	array();
					$insertInfo['user_id']						= $user_id;
					$insertInfo['pet_id']						= $pet_id;
					$insertInfo['no_of_meals']					= $no_of_meals;
					$insertInfo['food_name']			        = $food_name;
					$insertInfo['food_quanity']			        = $food_quanity;
					$insertInfo['amount_of_water']			    = $amount_of_water;
					$insertInfo['info_added_date']				= date('Y-m-d H:i:s');
					//print_r($insertInfo);
					
					$info_id = $this->dbClass->prepareInsertStatement('food_info', $insertInfo);

					$this->insertActivity($user_id,'added',$info_id,'foodinfo');
					
					$return_array['result']['value']						= 1;
					$return_array['result']['message']					= "Food Info details saved";
				}
				else
				{

					$return_array['result']['value']		= 0;
					$return_array['result']['message']		= "Partial content";
				}
			}
		}
		else 
		{
			$return_array['result']['value']		= 0;
			$return_array['result']['message']		= "Only accepts posts requests";
		}
	/*	echo "<pre>";
		print_r($return_array);exit;*/
		echo json_encode($return_array);
	}

	protected function editfoodInfo()
	{
		$return_array =array();

		if ($this->method == 'POST') 
		{
			$user_id = $this->getUserId();
			if($user_id==0 || $user_id=="")
			{
				$return_array['result']['value']		= 0;
				$return_array['result']['message']		= "Not valid";
			}
			else
			{
				$no_of_meals 				= $this->request['no_of_meals'];
				$food_name 			= $this->request['food_name'];
				$food_quanity 			= $this->request['food_quanity'];
				$amount_of_water 			= $this->request['amount_of_water'];
				$info_id 					= trim($this->request['info_id']);


				if($info_id!="" && $no_of_meals!=''  && $food_name!='')
				{
					$updateInfo 								=	array();
					$updateInfo['no_of_meals']					= $no_of_meals;
					$updateInfo['food_name']			= $food_name;
					$updateInfo['food_quanity']			= $food_quanity;
					$updateInfo['amount_of_water']			= $amount_of_water;
					//print_r($insertInfo);

					$this->dbClass->prepareUpdateStatement("food_info", $updateInfo,'info_id=? and user_id=?',array($info_id,$user_id));
					

					$this->insertActivity($user_id,'updated',$info_id,'foodinfo');
					
					$return_array['result']['value']						= 1;
					$return_array['result']['message']					= "foodInfo details updated";
				}
				else
				{

					$return_array['result']['value']		= 0;
					$return_array['result']['message']		= "Partial content";
				}
			}
		}
		else 
		{
			$return_array['result']['value']		= 0;
			$return_array['result']['message']		= "Only accepts posts requests";
		}
	/*	echo "<pre>";
		print_r($return_array);exit;*/
		echo json_encode($return_array);
	}


	protected function deletefoodInfo()
	{
		$return_array =array();
		if ($this->method == 'POST') 
		{
			$user_id = $this->getUserId();
			if($user_id==0 || $user_id=="")
			{
				$return_array['result']['value']		= 0;
				$return_array['result']['message']		= "Not valid";
			}
			else
			{
				$info_id 				= trim($this->request['info_id']);
				if($info_id!=""  && $user_id!='' )
				{
					
					$foodinfoDetails = $this->dbClass->getTableRecordDetails("food_info","info_id=?",array($info_id));
					
					if($foodinfoDetails[0]['user_id']!=$user_id)
					{
						$return_array['result']['value']		= 1;
						$return_array['result']['message']		= "No Permission";
					}
					else
					{
						$this->dbClass->prepareDeleteStatement('food_info',"info_id=?",array($info_id));
						

						$this->insertActivity($user_id,'deleted',$info_id,'foodinfo');

						$return_array['result']['value']		= 1;
						$return_array['result']['message']		= "Deleted Successfully";
					}
			
				}
				else
				{
					$return_array['result']['value']		= 0;
					$return_array['result']['message']		= "Partial content";
				}
			}
		}
		else 
		{
			$return_array['result']['value']		= 0;
			$return_array['result']['message']		= "Only accepts posts requests";
		}
	/*	echo "<pre>";
		print_r($return_array);exit;*/
		echo json_encode($return_array);
	}

	protected function getfoodInfos()
	{
		global $configDetails;
		$return_array =array();
		if ($this->method == 'POST') 
		{
						
			$user_id = $this->getUserId();
			if($user_id==0 || $user_id=="")
			{
				$return_array['result']['value']		= 0;
				$return_array['result']['message']		= "Not valid";
			}
			else
			{
				$pet_id 			= $this->request['pet_id'];
				$info_id 			= $this->request['info_id'];


				$qryapp = "e.user_id=? ";
				$condition = array($user_id);

				if($pet_id!="")
				{
					$qryapp.= " and e.pet_id=? ";
					$condition[] = $pet_id;
				}
				if($info_id!="")
				{
					$qryapp.= " and e.info_id=? ";
					$condition[] = $info_id;
				}

			
				$page_no 			= $this->request['page_no'];

				if($page_no=="")
				{
					$page_no=0;
				}
				$limit=$page_no*10;
				
				$limitQry = " limit ".$limit.", 10";
			

				$fetchQry  = "SELECT e.* FROM `food_info` as e  where ".$qryapp."  order by info_id desc ".$limitQry;
				$this->dbClass->prepareConditionStatement($fetchQry,$condition);
				$actorCnt 	= $this->dbClass->getAffectedRows();

				if($actorCnt>0)
				{
					$allResults	 		= 	$this->dbClass->resultSetAll($fetchQry,$condition); 
					foreach($allResults as $key=>$values)
					{

						$return_array['food_info'][$key]						= $values;

					}

					$fetchQry  = "SELECT e.* FROM `food_info` as e  where ".$qryapp."  order by info_id desc";
					$this->dbClass->prepareConditionStatement($fetchQry,$condition);
					$totalCnt 	= $this->dbClass->getAffectedRows();
					$total_pages = $totalCnt/10;
					$total_pages = ceil($total_pages);
					$return_array['total_pages'] = $total_pages;

				}
				else
				{
					$return_array['food_info']						= array();
				}
			}
		}
		else 
		{
			$return_array['result']['value']		= 0;
			$return_array['result']['message']		= "Only accepts posts requests";
		}
		/*echo "<pre>";
		print_r($return_array);exit;*/
		echo json_encode($return_array);
	}


	protected function getPosts()
	{
		global $configDetails;
		$return_array =array();
		if ($this->method == 'POST') 
		{
						
			$user_id = $this->getUserId();
			if($user_id==0 || $user_id=="")
			{
				$return_array['result']['value']		= 0;
				$return_array['result']['message']		= "Not valid";
			}
			else
			{
				$post_id 			= $this->request['post_id'];
				$searchText 			= $this->request['searchText'];

				$qryapp = "p.post_status=? ";
				$condition = array(1);

				
				if(isset($searchText) && $searchText!="")
				{
					$qryapp.= " and  p.post_text like ?";
					$condition[]= '%'.$searchText.'%';
				}

				if(isset($post_id) && $post_id!="")
				{
					$qryapp.=" and  p.post_id=?";
					$condition[]=$post_id;
				}

			
				$page_no 			= $this->request['page_no'];

				if($page_no=="")
				{
					$page_no=0;
				}
				$limit=$page_no*10;
				
				$limitQry = " limit ".$limit.", 10";
			

				$fetchQry  = "SELECT p.*,u.full_name,u.profile_image FROM `posts` as p inner join users as u on u.user_id=p.user_id where ".$qryapp." order by post_id desc ".$limitQry;
                $this->dbClass->prepareConditionStatement($fetchQry,$condition);
                $actorCnt 	= $this->dbClass->getAffectedRows();

                if($actorCnt>0)
                {
                    $allResults	 		= 	$this->dbClass->resultSetAll($fetchQry,$condition); 
                    foreach($allResults as $key=>$values)
                    {
						if($values['profile_image']!="")
						{
							$values['profile_image']							= $configDetails['siteUrl'].$configDetails['userOrgImgDir'].$values['profile_image'];
						}
						else
						{
							$values['profile_image']							= "";
						}

						$postImage = $this->getPostsImage($values['post_id']);
					
						if($postImage['image_path']!="")
						{
							$values['post_image']							= $configDetails['siteUrl'].$configDetails['uploadFeedDir'].$postImage['image_path'];
						}
						else
						{
							$values['post_image']							= "";
						}
					
						$like_cnt												=	$this->checkEntryExist("post_likes","user_id=? and post_id=? and post_type=?",array($user_id,$values['post_id'],'posts'));
						if($like_cnt)
						{
							$values['meliked']					= 1;
						}
						else
						{
							$values['meliked']					= 0;
						}

						$likeQry  = "SELECT p.user_id,p.liked_date,u.full_name, u.profile_image FROM `post_likes` as p inner join users as u on u.user_id=p.user_id where p.post_id=? and u.user_status=? and p.post_type=? order by p.post_like_id desc ";
						//$fetchQry 									= "SELECT post_like_id from post_likes where post_id=?";
						$this->dbClass->prepareConditionStatement($likeQry,array($values['post_id'],'1','posts'));
						$likeCnt 	= $this->dbClass->getAffectedRows();
						$values['likecount']					= $likeCnt;


						$fetchQry  = "SELECT c.*,u.full_name, u.profile_image FROM `post_comments` as c inner join users as u on u.user_id=c.user_id where c.comment_status=? and c.post_id=? and c.post_type=? order by comment_id asc ";
						$this->dbClass->prepareConditionStatement($fetchQry,array('1',$values['post_id'],'posts'));
						$commentcount 	= $this->dbClass->getAffectedRows();
						$values['commentcount']					= $commentcount;
				
						$return_array['posts'][$key]						= $values;
						
						if($commentcount>0)
						{
							$comments	 		= 	$this->dbClass->resultSetAll($fetchQry,array('1',$values['post_id'],'posts')); 
							foreach($comments as $key1=>$commentVal)
							{
								if($commentVal['profile_image']!="")
								{
									$commentVal['profile_image']							= $configDetails['siteUrl'].$configDetails['userOrgImgDir'].$commentVal['profile_image'];
								}
								else
								{
									$commentVal['profile_image']							= "";
								}
								
								$return_array['posts'][$key]['comments'][$key1]		= $commentVal;
							}
						}
						
						
						if($likeCnt>0)
						{
							$likes	 		= 	$this->dbClass->resultSetAll($likeQry,array($values['post_id'],'1','posts')); 
							foreach($likes as $key2=>$likeVal)
							{
								if($likeVal['profile_image']!="")
								{
									$likeVal['profile_image']							= $configDetails['siteUrl'].$configDetails['userOrgImgDir'].$likeVal['profile_image'];
								}
								else
								{
									$likeVal['profile_image']							= "";
								}
								
								$return_array['posts'][$key]['likes'][$key2]		= $likeVal;
							}
						}

						

                    }

					$fetchQry  = "SELECT p.*,u.full_name,u.profile_image FROM `posts` as p inner join users as u on u.user_id=p.user_id where ".$qryapp." order by post_id";
					$this->dbClass->prepareConditionStatement($fetchQry,$condition);
					$totalCnt 	= $this->dbClass->getAffectedRows();
					$total_pages = $totalCnt/10;
					$total_pages = ceil($total_pages);
					$return_array['total_pages'] = $total_pages;

                }
				else
				{
					$return_array['posts']						= array();
				}
			}
		}
		else 
		{
			$return_array['result']['value']		= 0;
			$return_array['result']['message']		= "Only accepts posts requests";
        }
		/*echo "<pre>";
		print_r($return_array);exit;*/
		echo json_encode($return_array);
	}



	protected function addPost()
	{
		$return_array =array();
		global $configDetails;
		
		$allowed_filetypes	=  array('.jpg','.png','.jpeg','.gif');
		$upload_path 			= './'.$configDetails['uploadFeedDir'];

		if ($this->method == 'POST') 
		{
			$user_id = $this->getUserId();
			if($user_id==0 || $user_id=="")
			{
				$return_array['result']['value']		= 0;
				$return_array['result']['message']		= "Not valid";
			}
			else
			{
				$post_text 				= $this->request['post_text'];

				if($post_text!='' )
				{
					
					$insertInfo = array();
					$insertImage = array();
					$err=0;
					$imageUploaded = 0;
					/*print_r($_FILES);
					print_r($this->request);*/
					if($_FILES['userfile']['name']!='')
					{
						$filename 			= trim($_FILES['userfile']['name']);
						$ext 				= substr($filename, strpos($filename,'.'), strlen($filename)-1);
						$newfilename  	    = uniqid(bin2hex(openssl_random_pseudo_bytes(16)),true).$filename;
						
						$uploadfile = $upload_path.$newfilename;
						
						if(!in_array($ext,$allowed_filetypes))
						{ 
							$err=1;
							$return_array['result']['value']			= 0;
							$return_array['result']['message']		    =  'Files type not allowed.';
						}
						elseif(move_uploaded_file($_FILES['userfile']['tmp_name'],$uploadfile))
						{
							$imageUploaded = 1;
							$insertImage['image_path'] 					= trim($newfilename);
							$insertImage['image_name']				    =	$filename;
							$insertImage['image_ext']					=	$ext;
						}
						else
						{
							$err=1;
							$return_array['result']['value']				= 0;
							$return_array['result']['message']		=  'Could not upload';
						}
					}

					if($err=='0')
					{
						$insertInfo['post_text']							= trim($post_text);
						$insertInfo['user_id']								= $user_id;
						$insertInfo['added_date']							= date('Y-m-d H:i:s');
						$insertInfo['post_status']							= 1;	

						
						//insert data into the DB
						$post_id 											=  $this->dbClass->prepareInsertStatement('posts', $insertInfo);
						
						
						if($imageUploaded=='1')
						{
							$insertImage['post_id'] 						= $post_id;
							$this->dbClass->prepareInsertStatement("posts_images", $insertImage);
						}
						

						
						if($post_id > 0){
						
							$return_array['result']['value']						= 1;
							$return_array['result']['message']					= "Post details added";
							
						}else{
						
							$return_array['result']['value']		= 0;
							$return_array['result']['message']		= "Something went wrong";
						}
					}
				}
				else
				{

					$return_array['result']['value']		= 0;
					$return_array['result']['message']		= "Partial content";
				}
			}
		}
		else 
		{
			$return_array['result']['value']		= 0;
			$return_array['result']['message']		= "Only accepts posts requests";
        }
	/*	echo "<pre>";
		print_r($return_array);exit;*/
		echo json_encode($return_array);
	}


	protected function addComment()
	{
		$return_array =array();
		global $configDetails;


		if ($this->method == 'POST') 
		{
			$user_id = $this->getUserId();
			if($user_id==0 || $user_id=="")
			{
				$return_array['result']['value']		= 0;
				$return_array['result']['message']		= "Not valid";
			}
			else
			{
				$post_id 					= trim($this->request['post_id']);
				$post_type					= trim($this->request['post_type']);
				$comment_text 						= trim($this->request['comment_text']);

				if($user_id!="" && $post_id!="" && $comment_text!="" && $post_type!="")
				{
					
					$insertInfo = array();
					$insertInfo['comment_text']					= trim($comment_text);
					$insertInfo['user_id']						= $user_id;
					$insertInfo['post_id']						= $post_id;
					$insertInfo['post_type']					= $post_type;
					$insertInfo['comment_time']					= date('Y-m-d H:i:s');
					$insertInfo['comment_status']				= 1;	
					
					
					
					//insert data into the DB
					$commetId 		=  $this->dbClass->prepareInsertStatement('post_comments', $insertInfo);

				
					if($commetId > 0)
					{
					
						$fetchQry  = "SELECT c.*,u.full_name,u.profile_image FROM `post_comments` as c inner join users as u on u.user_id=c.user_id where c.comment_status=? and c.post_id=? and c.post_type=? order by comment_id asc ";
						$this->dbClass->prepareConditionStatement($fetchQry,array('1',$post_id,$post_type));
						$commentcount 	= $this->dbClass->getAffectedRows();
						$return_array['commentcount']						=$commentcount;
						
						
						if($commentcount>0)
						{
							$comments	 		= 	$this->dbClass->resultSetAll($fetchQry,array('1',$post_id,$post_type)); 
							foreach($comments as $key1=>$commentVal)
							{
								if($commentVal['profile_image']!="")
								{
									$commentVal['profile_image']							= $configDetails['siteUrl'].$configDetails['userOrgImgDir'].$commentVal['profile_image'];
								}
								else
								{
									$commentVal['profile_image']							= "";
								}
								
								$return_array['comments'][$key1]		= $commentVal;
							}
						}
						
						/*$return_array['result']['value']				= 1;
						$return_array['result']['message']		= "Successfully added";
						$return_array['result']['user_id']			= $commetId;*/
						
					}else{
					
						$return_array['result']['value']				= 0;
						$return_array['result']['message']		= "Something went wrong";
					}
				}
				else
				{

					$return_array['result']['value']		= 0;
					$return_array['result']['message']		= "Partial content";
				}
			}
		}
		else 
		{
			$return_array['result']['value']		= 0;
			$return_array['result']['message']		= "Only accepts posts requests";
		}
	/*	echo "<pre>";
		print_r($return_array);exit;*/
		echo json_encode($return_array);
	}


	protected function toggleLike()
	{
		$return_array =array();
		global $configDetails;


		if ($this->method == 'POST') 
		{
			$user_id = $this->getUserId();
			if($user_id==0 || $user_id=="")
			{
				$return_array['result']['value']		= 0;
				$return_array['result']['message']		= "Not valid";
			}
			else
			{
				$post_id 				= $this->request['post_id'];
				$post_type 				= $this->request['post_type'];
				$like_status 			= trim($this->request['like_status']);

				if($post_id!='' && $like_status!="" && $post_type!="")
				{
					$user_active_cnt					= 0;
					$userInfo 							= $this->dbClass->getTableRecordDetails("post_likes","user_id=? AND post_id=? and post_type=?",array($user_id,$post_id,$post_type));
					$user_active_cnt 					= $this->dbClass->getAffectedRows();
					
					
					if($user_active_cnt > 0)
					{
						if($like_status=='0')
						{
							$this->dbClass->prepareDeleteStatement('post_likes',"user_id=? AND post_id=? and post_type=?",array($user_id,$post_id,$post_type));
							$return_array['result']['value']						= 0;
							$return_array['result']['message']					= "Unliked the post";
						}
						else
						{
							$return_array['result']['value']						= 0;
							$return_array['result']['message']					= "You already liked this";
						}
					}
					else
					{
						if($like_status=='1')
						{
							$insertInfo 														=	array();
							$insertInfo['user_id']						= $user_id;
							$insertInfo['post_id']						= $post_id;
							$insertInfo['post_type'] 					= $post_type;
							$insertInfo['liked_date']					= date('Y-m-d H:i:s');
							//print_r($insertInfo);
							$likeId = $this->dbClass->prepareInsertStatement('post_likes', $insertInfo);
							
							
							
							$return_array['result']['value']						= 1;
							$return_array['result']['message']					= "Liked the post";
						}
						else
						{
							$return_array['result']['value']						= 0;
							$return_array['result']['message']					= "You haven't liked this";
						}
					}
				}
				else
				{

					$return_array['result']['value']		= 0;
					$return_array['result']['message']		= "Partial content";
				}
			}
		}
		else 
		{
			$return_array['result']['value']		= 0;
			$return_array['result']['message']		= "Only accepts posts requests";
		}
	/*	echo "<pre>";
		print_r($return_array);exit;*/
		echo json_encode($return_array);
	}


	protected function delComment()
	{
		$return_array =array();
		global $configDetails;


		if ($this->method == 'POST') 
		{
			$user_id = $this->getUserId();
			if($user_id==0 || $user_id=="")
			{
				$return_array['result']['value']		= 0;
				$return_array['result']['message']		= "Not valid";
			}
			else
			{
				$comment_id			= $this->request['comment_id'];
				if($comment_id!="")
				{
					$CommentDetails = $this->dbClass->getTableRecordSingle('post_comments','comment_id=? and user_id=?',array($comment_id, $user_id));
					$numRows 		= 	$this->dbClass->getAffectedRows(); 
					if($numRows>0)
					{
						$post_id			= $CommentDetails['post_id'];
						$post_type			= $CommentDetails['post_type'];
						$this->dbClass->prepareDeleteStatement('post_comments','comment_id=? and user_id=?',array($comment_id, $user_id));
						
						
						$fetchQry  = "SELECT c.*,u.full_name,u.profile_image FROM `post_comments` as c inner join users as u on u.user_id=c.user_id where c.comment_status=? and c.post_id=?  and c.post_type=? order by comment_id asc ";
						$this->dbClass->prepareConditionStatement($fetchQry,array('1',$post_id,$post_type));
						$commentcount 	= $this->dbClass->getAffectedRows();
						$return_array['commentcount']						=$commentcount;
						
						
						if($commentcount>0)
						{
							$comments	 		= 	$this->dbClass->resultSetAll($fetchQry,array('1',$post_id,$post_type)); 
							foreach($comments as $key1=>$commentVal)
							{
								if($commentVal['profile_image']!="")
								{
									$commentVal['profile_image']							= $configDetails['siteUrl'].$configDetails['userOrgImgDir'].$commentVal['profile_image'];
								}
								else
								{
									$commentVal['profile_image']							= "";
								}
								
								$return_array['comments'][$key1]		= $commentVal;
							}
						}
					}
					else
					{
						$return_array['result']['value']						= 0;
						$return_array['result']['message']				= "You have no permission to delete";
					}
				}
				else
				{

					$return_array['result']['value']		= 0;
					$return_array['result']['message']		= "Partial content";
				}
			}
		}
		else 
		{
			$return_array['result']['value']		= 0;
			$return_array['result']['message']		= "Only accepts posts requests";
		}
	/*	echo "<pre>";
		print_r($return_array);exit;*/
		echo json_encode($return_array);
	}


	protected function delPost()
	{
		$return_array =array();
		global $configDetails;


		if ($this->method == 'POST') 
		{
			$user_id = $this->getUserId();
			if($user_id==0 || $user_id=="")
			{
				$return_array['result']['value']		= 0;
				$return_array['result']['message']		= "Not valid";
			}
			else
			{
				$post_id			= $this->request['post_id'];
				if($post_id!="")
				{
					$accountDetails = $this->dbClass->getTableRecordSingle('posts','post_id=? and user_id=?',array($post_id, $user_id));
					$numRows 		= 	$this->dbClass->getAffectedRows(); 
					if($numRows>0)
					{
						$this->dbClass->prepareDeleteStatement('posts','post_id=? and user_id=?',array($post_id, $user_id));
						$this->dbClass->prepareDeleteStatement('post_comments','post_id=? and post_type=?',array($post_id,'posts'));
						$this->dbClass->prepareDeleteStatement('post_likes','post_id=? and post_type=?',array($post_id,'posts'));
						
						$return_array['result']['value']						= 1;
						$return_array['result']['message']				=  "Post deleted";
					}
					else
					{
						$return_array['result']['value']						= 0;
						$return_array['result']['message']				= "No permission to delete";
					}
				}
				else
				{

					$return_array['result']['value']		= 0;
					$return_array['result']['message']		= "Partial content";
				}
			}
		}
		else 
		{
			$return_array['result']['value']		= 0;
			$return_array['result']['message']		= "Only accepts posts requests";
		}
	/*	echo "<pre>";
		print_r($return_array);exit;*/
		echo json_encode($return_array);
	}


	protected function addMedicines()
	{
		$return_array =array();


		if ($this->method == 'POST') 
		{
			$user_id = $this->getUserId();
			if($user_id==0 || $user_id=="")
			{
				$return_array['result']['value']		= 0;
				$return_array['result']['message']		= "Not valid";
			}
			else
			{
				$medicine_name 				= $this->request['medicine_name'];
				$description 				= $this->request['description'];
				$how_often 				= $this->request['how_often'];
				$week_days 				= $this->request['week_days'];
				$months 				= $this->request['months'];
				$no_of_days 				= $this->request['no_of_days'];
				$start_date 			= $this->request['start_date'];
				$end_date 			= $this->request['end_date'];
				$dose_type 			= $this->request['dose_type'];
				$dose_quantity 			= $this->request['dose_quantity'];
				$dose_times 			= $this->request['dose_times'];
				$pet_id 				= $this->request['pet_id'];

				if($how_often!=''  && $no_of_days!=''  && $pet_id!='')
				{
					$insertInfo 								=	array();
					$insertInfo['user_id']						= $user_id;
					$insertInfo['pet_id']						= $pet_id;
					$insertInfo['medicine_name']					= $medicine_name;
					$insertInfo['description']					= $description;
					$insertInfo['week_days']					= $week_days;
					$insertInfo['months']					= $months;
					$insertInfo['how_often']					= $how_often;
					$insertInfo['no_of_days']			        = $no_of_days;
					$insertInfo['start_date']			        = $start_date;
					$insertInfo['end_date']			            = $end_date;
					$insertInfo['dose_type']			        = $dose_type;
					$insertInfo['dose_quantity']			    = $dose_quantity;
					$insertInfo['dose_times']			        = $dose_times;
					$insertInfo['added_date']				= date('Y-m-d H:i:s');
					//print_r($insertInfo);
					
					$medicine_id = $this->dbClass->prepareInsertStatement('medicines', $insertInfo);

					$this->insertActivity($user_id,'added',$medicine_id,'medicines');
					
					$return_array['result']['value']						= 1;
					$return_array['result']['message']					= "Medicine details saved";
				}
				else
				{

					$return_array['result']['value']		= 0;
					$return_array['result']['message']		= "Partial content";
				}
			}
		}
		else 
		{
			$return_array['result']['value']		= 0;
			$return_array['result']['message']		= "Only accepts posts requests";
		}
	/*	echo "<pre>";
		print_r($return_array);exit;*/
		echo json_encode($return_array);
	}

	protected function editMedicines()
	{
		$return_array =array();

		if ($this->method == 'POST') 
		{
			$user_id = $this->getUserId();
			if($user_id==0 || $user_id=="")
			{
				$return_array['result']['value']		= 0;
				$return_array['result']['message']		= "Not valid";
			}
			else
			{
				$medicine_name 				= $this->request['medicine_name'];
				$description 				= $this->request['description'];
				$how_often 				= $this->request['how_often'];
				$week_days 				= $this->request['week_days'];
				$months 				= $this->request['months'];
				$no_of_days 			= $this->request['no_of_days'];
				$start_date 			= $this->request['start_date'];
				$end_date 			= $this->request['end_date'];
				$dose_type 			= $this->request['dose_type'];
				$dose_quantity 			= $this->request['dose_quantity'];
				$dose_times 			= $this->request['dose_times'];
				$medicine_id 					= trim($this->request['medicine_id']);


				if($medicine_id!="" && $how_often!=''  && $no_of_days!='')
				{
					$updateInfo 								=	array();
					$updateInfo['medicine_name']					= $medicine_name;
					$updateInfo['description']					= $description;
					$updateInfo['how_often']					= $how_often;
					$updateInfo['week_days']					= $week_days;
					$updateInfo['months']					= $months;
					$updateInfo['no_of_days']			= $no_of_days;
					$updateInfo['start_date']			= $start_date;
					$updateInfo['end_date']			= $end_date;
					$updateInfo['dose_type']			        = $dose_type;
					$updateInfo['dose_quantity']			    = $dose_quantity;
					$updateInfo['dose_times']			        = $dose_times;
					//print_r($insertInfo);

					$this->dbClass->prepareUpdateStatement("medicines", $updateInfo,'medicine_id=? and user_id=?',array($medicine_id,$user_id));
					

					$this->insertActivity($user_id,'updated',$medicine_id,'medicines');
					
					$return_array['result']['value']						= 1;
					$return_array['result']['message']					= "Medicines details updated";
				}
				else
				{

					$return_array['result']['value']		= 0;
					$return_array['result']['message']		= "Partial content";
				}
			}
		}
		else 
		{
			$return_array['result']['value']		= 0;
			$return_array['result']['message']		= "Only accepts posts requests";
		}
	/*	echo "<pre>";
		print_r($return_array);exit;*/
		echo json_encode($return_array);
	}


	protected function deleteMedicines()
	{
		$return_array =array();
		if ($this->method == 'POST') 
		{
			$user_id = $this->getUserId();
			if($user_id==0 || $user_id=="")
			{
				$return_array['result']['value']		= 0;
				$return_array['result']['message']		= "Not valid";
			}
			else
			{
				$medicine_id 				= trim($this->request['medicine_id']);
				if($medicine_id!=""  && $user_id!='' )
				{
					
					$medicinesDetails = $this->dbClass->getTableRecordDetails("medicines","medicine_id=?",array($medicine_id));
					
					if($medicinesDetails[0]['user_id']!=$user_id)
					{
						$return_array['result']['value']		= 1;
						$return_array['result']['message']		= "No Permission";
					}
					else
					{
						$this->dbClass->prepareDeleteStatement('medicines',"medicine_id=?",array($medicine_id));
						

						$this->insertActivity($user_id,'deleted',$medicine_id,'medicines');

						$return_array['result']['value']		= 1;
						$return_array['result']['message']		= "Deleted Successfully";
					}
			
				}
				else
				{
					$return_array['result']['value']		= 0;
					$return_array['result']['message']		= "Partial content";
				}
			}
		}
		else 
		{
			$return_array['result']['value']		= 0;
			$return_array['result']['message']		= "Only accepts posts requests";
		}
	/*	echo "<pre>";
		print_r($return_array);exit;*/
		echo json_encode($return_array);
	}

	protected function getMedicines()
	{
		global $configDetails;
		$return_array =array();
		if ($this->method == 'POST') 
		{
						
			$user_id = $this->getUserId();
			if($user_id==0 || $user_id=="")
			{
				$return_array['result']['value']		= 0;
				$return_array['result']['message']		= "Not valid";
			}
			else
			{
				$pet_id 			= $this->request['pet_id'];
				$medicine_id 			= $this->request['medicine_id'];
				$medicine_date 			= $this->request['medicine_date'];


				$qryapp = "e.user_id=? ";
				$condition = array($user_id);

				if($pet_id!="")
				{
					$qryapp.= " and e.pet_id=? ";
					$condition[] = $pet_id;
				}
				if($medicine_id!="")
				{
					$qryapp.= " and e.medicine_id=? ";
					$condition[] = $medicine_id;
				}

				if($medicine_date!="")
				{
					$qryapp.= " and ? between start_date and end_date ";
					$condition[] = $medicine_date;
				}

			
				$page_no 			= $this->request['page_no'];

				if($page_no=="")
				{
					$page_no=0;
				}
				$limit=$page_no*10;
				
				$limitQry = " limit ".$limit.", 10";
			
				$current_date = date('Y-m-d');

				$fetchQry  = "SELECT e.* FROM `medicines` as e  where ".$qryapp."  order by medicine_id desc ".$limitQry;
				$this->dbClass->prepareConditionStatement($fetchQry,$condition);
				$actorCnt 	= $this->dbClass->getAffectedRows();

				if($actorCnt>0)
				{
					$allResults	 		= 	$this->dbClass->resultSetAll($fetchQry,$condition); 
					foreach($allResults as $key=>$values)
					{

						$takenCnt						=	$this->checkEntryExist("medicines_taken",' medicine_id=? and pet_id=? and taken_date=?',array($values['medicine_id'],$values['pet_id'],$current_date));
						if($takenCnt)
						{
							$values['medicine_taken'] = '1';
						}
						else
						{
							$values['medicine_taken'] = '0';
						}

						$return_array['medicines'][$key]						= $values;

					}

					$fetchQry  = "SELECT e.* FROM `medicines` as e  where ".$qryapp."  order by medicine_id desc";
					$this->dbClass->prepareConditionStatement($fetchQry,$condition);
					$totalCnt 	= $this->dbClass->getAffectedRows();
					$total_pages = $totalCnt/10;
					$total_pages = ceil($total_pages);
					$return_array['total_pages'] = $total_pages;

				}
				else
				{
					$return_array['medicines']						= array();
				}
			}
		}
		else 
		{
			$return_array['result']['value']		= 0;
			$return_array['result']['message']		= "Only accepts posts requests";
		}
		/*echo "<pre>";
		print_r($return_array);exit;*/
		echo json_encode($return_array);
	}



	protected function addMedicinesTaken()
	{
		$return_array =array();


		if ($this->method == 'POST') 
		{
			$user_id = $this->getUserId();
			if($user_id==0 || $user_id=="")
			{
				$return_array['result']['value']		= 0;
				$return_array['result']['message']		= "Not valid";
			}
			else
			{
				$medicine_id 				= $this->request['medicine_id'];
				$taken_date 				= $this->request['taken_date'];
				$pet_id 				= $this->request['pet_id'];

				if($pet_id!=''  && $medicine_id!=''  && $taken_date!='')
				{
					$insertInfo 								=	array();
					$insertInfo['medicine_id']						= $medicine_id;
					$insertInfo['pet_id']						= $pet_id;
					$insertInfo['taken_date']			        = $taken_date;
					//print_r($insertInfo);
					
					$medicine_id = $this->dbClass->prepareInsertStatement('medicines_taken', $insertInfo);
					
					$return_array['result']['value']						= 1;
					$return_array['result']['message']					= "Medicine details saved";
				}
				else
				{

					$return_array['result']['value']		= 0;
					$return_array['result']['message']		= "Partial content";
				}
			}
		}
		else 
		{
			$return_array['result']['value']		= 0;
			$return_array['result']['message']		= "Only accepts posts requests";
		}
	/*	echo "<pre>";
		print_r($return_array);exit;*/
		echo json_encode($return_array);
	}


	protected function deleteAccount()
	{
		$return_array =array();
		if ($this->method == 'POST') 
		{
			$user_id = $this->getUserId();
			if($user_id==0 || $user_id=="")
			{
				$return_array['result']['value']		= 0;
				$return_array['result']['message']		= "Not valid";
			}
			else
			{

				if($user_id!='' )
				{
					
					$this->dbClass->prepareDeleteStatement('events',"user_id=?",array($user_id));
					$this->dbClass->prepareDeleteStatement('health_info',"user_id=?",array($user_id));
					$this->dbClass->prepareDeleteStatement('insurance_documents',"user_id=?",array($user_id));
					$this->dbClass->prepareDeleteStatement('pets',"user_id=?",array($user_id));
					$this->dbClass->prepareDeleteStatement('posts',"user_id=?",array($user_id));
					$this->dbClass->prepareDeleteStatement('post_comments',"user_id=?",array($user_id));
					$this->dbClass->prepareDeleteStatement('post_likes',"user_id=?",array($user_id));
					$this->dbClass->prepareDeleteStatement('users',"user_id=?",array($user_id));
					$this->dbClass->prepareDeleteStatement('user_playerids',"user_id=?",array($user_id));
					$this->dbClass->prepareDeleteStatement('user_activity',"user_id=?",array($user_id));


					$return_array['result']['value']		= 1;
					$return_array['result']['message']		= "Deleted Successfully";
			
				}
				else
				{
					$return_array['result']['value']		= 0;
					$return_array['result']['message']		= "Partial content";
				}
			}
		}
		else 
		{
			$return_array['result']['value']		= 0;
			$return_array['result']['message']		= "Only accepts posts requests";
        }
	/*	echo "<pre>";
		print_r($return_array);exit;*/
		echo json_encode($return_array);
	}




	




	protected function deviceLogout()
	{
		global $configDetails;
		$return_array =array();
		if ($this->method == 'POST') 
		{
			$user_id = $this->getUserId();
			if($user_id==0 || $user_id=="")
			{
				$return_array['result']['value']		= 0;
				$return_array['result']['message']		= "Not valid";
			}
			else
			{
				$player_id 							= $this->request['player_id'];

				if($user_id!='' && $player_id!='')
				{
					$playerIdCnt						=	$this->checkEntryExist("devices",' player_id=? and user_id=?',array($player_id,$user_id));
					if($playerIdCnt)
					{
						$updateDevice 						= array();
						$updateDevice['device_status'] 		= 0;
						$this->dbClass->prepareUpdateStatement("devices", $updateDevice,'player_id=?',array($player_id));

						$return_array['result']['value']				= 1;
						$return_array['result']['message']			= "Successfully logged out";
					}
					else
					{
						$return_array['result']['action']					= 404;
						$return_array['result']['value']			= '0';
						$return_array['result']['message']			= "Device not found";
			
					}
				}
				else
				{
					$return_array['result']['value']		= 0;
					$return_array['result']['message']		= "Partial content";
				}
			}
		}
		else 
		{
			$return_array['result']['value']		= 0;
			$return_array['result']['message']		= "Only accepts posts requests";
        }
	/*	echo "<pre>";
		print_r($return_array);exit;*/
		echo json_encode($return_array);
	}

	public function getAutoresponder($responseTitle)
	{
		$isAdminSql	=	"SELECT * FROM `autoresponse` where response_title=?";
		$rs 		= 	$this->dbClass->resultSetSingle($isAdminSql,array($responseTitle)); 
		return $rs;
	}

	public function insertActivity($user_id,$msg,$activity_id,$type)
	{
		$insertActivity 								= array();
		$insertActivity['activity_message']				= $msg;
		$insertActivity['user_id']						= $user_id;
		$insertActivity['activity_id']					= $activity_id;
		$insertActivity['activity_type']				= $type;
		$insertActivity['activity_added_date']			= date('Y-m-d H:i:s');
		$this->dbClass->prepareInsertStatement('user_activity', $insertActivity);
	}


	public function petsInsurances($petId)
	{
		$getQry	="select * from insurance_documents where pet_id=? order by document_id desc";
		$getInfo 	= $this->dbClass->resultSetAll($getQry,array($petId)); 
		return $getInfo;
	}

	public function petsHealthinfo($petId)
	{
		$getQry	="select * from health_info where pet_id=? order by info_id desc";
		$getInfo 	= $this->dbClass->resultSetAll($getQry,array($petId)); 
		return $getInfo;
	}

	public function petsEventinfo($petId)
	{
		$getQry	="select * from events where pet_id=? order by event_id desc";
		$getInfo 	= $this->dbClass->resultSetAll($getQry,array($petId)); 
		return $getInfo;
	}

	public function petsexcretionInfo($petId)
	{
		$getQry	="select * from excretions where pet_id=? order by excretion_id desc";
		$getInfo 	= $this->dbClass->resultSetAll($getQry,array($petId)); 
		return $getInfo;
	}


	public function getPostsImage($postId)
	{
		$getQry	="select post_image_id,image_name,image_path from posts_images  where post_id=?";
		$getInfo 	= $this->dbClass->resultSetSingle($getQry,array($postId)); 
		return $getInfo;
	}


	function checkEntryExist($table,$condition,$conditionValues)
	{
		$flag = false;
		$checkQry	=	"SELECT * FROM $table WHERE $condition";
		$this->dbClass->resultSetSingle($checkQry,$conditionValues);
		$numRows = $this->dbClass->getAffectedRows();
		if($numRows>0) $flag = true;
		
		return $flag;
	}

	///Function to get the encrypted customer password-
	function encrypt_customer_password($paswd)
	{
		$mykey=$this->getEncryptKey();
		$encryptedPassword=$this->encryptPaswd($paswd,$mykey);
		return $encryptedPassword;
	}
	
	///Function to get the decrypted customer password
	function decrypt_customer_password($paswd)
	{
		$mykey=$this->getEncryptKey();
		$decryptedPassword=$this->decryptPaswd($paswd,$mykey);
		return $decryptedPassword;
	}
	
	function getEncryptKey()
	{
		return base64_encode('56436435464266');
	}
	
	
	
	function encryptPaswd($string, $key) 
	{
		$result = '';
		for($i=0; $i<strlen($string); $i++) 
			{
				$char = substr($string, $i, 1);
				$keychar = substr($key, ($i % strlen($key))-1, 1);
				$char = chr(ord($char)+ord($keychar));
				$result.=$char;
			}
			return base64_encode($result);
	}
	
	function decryptPaswd($string, $key) 
	{
		$result = '';
		$string = base64_decode($string);
		
		for($i=0; $i<strlen($string); $i++) 
		{
			$char = substr($string, $i, 1);
			$keychar = substr($key, ($i % strlen($key))-1, 1);
			$char = chr(ord($char)-ord($keychar));
			$result.=$char;
		}
		
		return $result;
	}


	function uploadfile($image_name,$parentFolder)
	{
		$myfilename    = '';
				
		if (is_uploaded_file($_FILES[$image_name]['tmp_name'])) 
		{
			$filename		= trim($_FILES[$image_name]['name']);
			$image_extn	=	$this->getFileExtension($filename);
			$newfilename	= uniqid(rand(),true).".".$image_extn;
			$uploadfile  	=  $parentFolder.$newfilename;
			if(move_uploaded_file(trim($_FILES[$image_name]['tmp_name']),$uploadfile))
			{
				chmod($uploadfile,0777);
				$myfilename = trim($newfilename);		
			}
		}
		return $myfilename;			
	}
	

	function uploadImageWithoutUnlink($image_name,$parentFolder,$thumbFolder,$twidth,$theight)
	{
		$myfilename    = '';
				
		if (is_uploaded_file($_FILES[$image_name]['tmp_name'])) {
		$filename		= trim($_FILES[$image_name]['name']);
		$image_extn	=	$this->getFileExtension($filename);
		//$filename = replaceCharacters($filename);
		//$newfilename	= uniqid(rand(),true)."_".$filename;	
		$newfilename	= uniqid(rand(),true).".".$image_extn;
		$uploadfile  	=  $parentFolder.$newfilename;
			if(move_uploaded_file(trim($_FILES[$image_name]['tmp_name']),$uploadfile))
			{
				chmod($uploadfile,0777);
				$sys_url = str_replace(" ","\ ",$uploadfile);			
				//system("chmod 0777 $sys_url");
				
				/*$dstThumb = $thumbFolder.$newfilename;		
				$this->resize($uploadfile, $twidth, $theight, $dstThumb);
			
				//MakeThumbnailImage($uploadfile,$dstThumb,$twidth,$theight);	
				chmod($dstThumb,0777);
				$sys_url = str_replace(" ","\ ",$dstThumb);	*/		
				//system("chmod 0777 $sys_url");
				$myfilename = trim($newfilename);		
			}
		}
		return $myfilename;			
	}
	
	
	function resize($img, $w, $h, $newfilename) 
	{
	
 
	 //Check if GD extension is loaded
			 if (!extension_loaded('gd') && !extension_loaded('gd2')) {
			 // trigger_error("GD is not loaded", E_USER_WARNING);
			 echo "GD is not loaded";
			  return false;
			 }
			 
			 //Get Image size info
			 $imgInfo = getimagesize($img);
			 print_r($imgInfo);
			 switch ($imgInfo[2]) {
			  case 1: $im = imagecreatefromgif($img); break;
			  case 2: $im = imagecreatefromjpeg($img);  break;
			  case 3: $im = imagecreatefrompng($img); break;
			 // default:  trigger_error('Unsupported filetype!', E_USER_WARNING);  break;
			 echo 'Unsupported filetype!';return false;
			 }
			 
			 //If image dimension is smaller, do not resize
			 if ($imgInfo[0] <= $w && $imgInfo[1] <= $h) {
			  $nHeight = $imgInfo[1];
			  $nWidth = $imgInfo[0];
			 }else{
							//yeah, resize it, but keep it proportional
			  if ($w/$imgInfo[0] > $h/$imgInfo[1]) {
			   $nWidth = $w;
			   $nHeight = $imgInfo[1]*($w/$imgInfo[0]);
			  }else{
			   $nWidth = $imgInfo[0]*($h/$imgInfo[1]);
			   $nHeight = $h;
			  }
			 }
			 $nWidth = round($nWidth);
			 $nHeight = round($nHeight);
			
			$newImg = imagecreatetruecolor($nWidth, $nHeight);
			
			 /* Check if this image is PNG or GIF, then set if Transparent*/  
			 if(($imgInfo[2] == 1) OR ($imgInfo[2]==3)){
			  imagealphablending($newImg, false);
			  imagesavealpha($newImg,true);
			  $transparent = imagecolorallocatealpha($newImg, 255, 255, 255, 127);
			  imagefilledrectangle($newImg, 0, 0, $nWidth, $nHeight, $transparent);
			 }
			 imagecopyresampled($newImg, $im, 0, 0, 0, 0, $nWidth, $nHeight, $imgInfo[0], $imgInfo[1]);
			 
			 //Generate the file, and rename it to $newfilename
			 switch ($imgInfo[2]) {
			  case 1: imagegif($newImg,$newfilename); break;
			  case 2: imagejpeg($newImg,$newfilename);  break;
			  case 3: imagepng($newImg,$newfilename); break;
			  //default:  trigger_error('Failed resize image!', E_USER_WARNING);  break;
			  echo 'Failed resize image!';
			 }
			   
			   return $newfilename;
			
	}
	
	

	function getFileExtension($fileName)
	{
		$path_parts = pathinfo($fileName);
		$extension = $path_parts['extension'];
		return strtolower($extension);	
	}
	
 }
 
 ?>